import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import { isNil } from "lodash";
export function fetchWithTimeout(url, options) {
  const {
    timeout
  } = options,
        requestOptions = _objectWithoutProperties(options, ["timeout"]);

  if (!isNil(timeout) && timeout > 0) {
    return Promise.race([fetch(url, requestOptions), new Promise((resolve, reject) => setTimeout(() => reject({
      isTimeout: true
    }), timeout))]);
  }

  return fetch(url, requestOptions);
}